## pyfatfs 1.1.0

=== Makefile ===
PYTHON_VERSION=$(shell python3 -c "import platform; print('.'.join(platform.python_version_tuple()[:-1]))")
VENV_DIR=.venv_$(PYTHON_VERSION)

ifeq ($(PYTHON_VERSION),)
	$(error No Python 3 interpreter found!)
endif

ifeq ($(OS),Windows_NT)
	VENV_BIN_DIR=scripts
else
	VENV_BIN_DIR=bin
endif

# Generate virtualenv
$(VENV_DIR)/install.indicator: pyproject.toml requirements/development.txt
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m piptools sync requirements/development.txt
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m pip install -r requirements/development.txt
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m pip install -e .
	touch $@

$(VENV_DIR):
	python3 -m venv $@
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m pip install -r requirements/development.txt
	ln -sf $(VENV_DIR) .venv

.PHONY: venv
venv: $(VENV_DIR) $(VENV_DIR)/install.indicator

pyproject.toml: $(VENV_DIR)

# Generate requirements
requirements/%.txt: pyproject.toml
	mkdir requirements; touch $@
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m piptools compile --extra $(basename $(notdir $@)) --output-file $@ $<

.PHONY: requirements
requirements: $(VENV_DIR) requirements/development.txt

.coverage: venv
	$(VENV_DIR)/$(VENV_BIN_DIR)/py.test --cov=pyfatfs tests

.PHONY: tests
tests: venv .coverage

.PHONY: flake8
flake8: venv
	$(VENV_DIR)/$(VENV_BIN_DIR)/flake8 pyfatfs tests --count --show-source --statistics

.PHONY: docs
docs: venv
	. $(VENV_DIR)/$(VENV_BIN_DIR)/activate; $(MAKE) -C docs html
	xdg-open docs/_build/html/index.html

.PHONY: build
build: venv
	$(VENV_DIR)/$(VENV_BIN_DIR)/python3 -m build .

.PHONY: twine_upload
twine_upload: clean build
	python3 -m venv $(VENV_DIR)/twine_venv
	$(VENV_DIR)/twine_venv/$(VENV_BIN_DIR)/python3 -m pip install twine==5.0.0
	$(VENV_DIR)/twine_venv/$(VENV_BIN_DIR)/twine upload dist/*

.PHONY: coveralls_parallel
coveralls_parallel: venv
	$(VENV_DIR)/$(VENV_BIN_DIR)/coveralls --service=github

.PHONY: coveralls_finish
coveralls_finish: venv
	$(VENV_DIR)/$(VENV_BIN_DIR)/coveralls --service=github --finish

.PHONY: clean
.NOTPARALLEL: clean
clean:
	rm -rf $(VENV_DIR) docs/_build/ build/ dist/ pyfatfs.egg-info/

## pyfatfs 1.0.5+git20231017

=== debian/changelog ===
pyfatfs (1.0.5+git20231017-0kali1) kali-dev; urgency=medium

  * New upstream version 1.0.5+git20231017

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 07 Nov 2023 11:15:23 +0100

pyfatfs (1.0.5-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 06 Nov 2023 17:32:40 +0100

=== debian/control ===
Source: pyfatfs
Section: python
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-setuptools-scm,
 python3-pytest,
 python3-pytest-mock,
 python3-fs,
 python3-all,
 python3-sphinx
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://github.com/nathanhi/pyfatfs
Vcs-Browser: https://gitlab.com/kalilinux/packages/pyfatfs
Vcs-Git: https://gitlab.com/kalilinux/packages/pyfatfs.git

Package: python3-pyfatfs
Architecture: all
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Suggests:
 python-pyfatfs-doc,
Description: filesystem module for use with PyFilesystem2 (Python 3)
 This package contains a filesystem module for use with PyFilesystem2 for
 anyone who needs to access or modify files on a FAT filesystem. It also
 provides a low-level API that allows direct interaction with a FAT filesystem
 without PyFilesystem2 abstraction.
 .
 pyfatfs supports FAT12/FAT16/FAT32 as well as the VFAT extension (long file
 names).
 .
 This package installs the library for Python 3.

Package: python-pyfatfs-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 ${sphinxdoc:Depends},
 ${misc:Depends},
Description: filesystem module for use with PyFilesystem2 (common documentation)
 This package contains a filesystem module for use with PyFilesystem2 for
 anyone who needs to access or modify files on a FAT filesystem. It also
 provides a low-level API that allows direct interaction with a FAT filesystem
 without PyFilesystem2 abstraction.
 .
 pyfatfs supports FAT12/FAT16/FAT32 as well as the VFAT extension (long file
 names).
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

export PYBUILD_NAME=pyfatfs

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc


execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/nathanhi/pyfatfs/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## pyfatfs 1.1.0

=== debian/changelog ===
pyfatfs (1.1.0-0parrot1) echo; urgency=medium

  * Import Kali package.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 25 Nov 2025 11:18:09 +0100

pyfatfs (1.1.0-0kali1) kali-dev; urgency=medium

  * Drop 'Rules-Requires-Root: no' from d/control
  * Add python3-six to build-depends
  * Revert "Add python3-six to build-depends"
  * Tighten constraint on python3-fs
  * New upstream version 1.1.0
  * Bump year in d/copyright

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 13 Nov 2025 23:42:47 +0700

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,29 @@
 Source: pyfatfs
 Section: python
 Priority: optional
-Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Sophie Brun <sophie@offensive-security.com>
-Rules-Requires-Root: no
+Maintainer: Parrot Dev Team <team@parrotsec.org>
+Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
  pybuild-plugin-pyproject,
+ python3-all,
+ python3-fs (>= 2.4.16-9),
+ python3-pytest,
+ python3-pytest-mock,
  python3-setuptools,
  python3-setuptools-scm,
- python3-pytest,
- python3-pytest-mock,
- python3-fs,
- python3-all,
- python3-sphinx
+ python3-sphinx,
 Testsuite: autopkgtest-pkg-python
 Standards-Version: 4.6.2
 Homepage: https://github.com/nathanhi/pyfatfs
-Vcs-Browser: https://gitlab.com/kalilinux/packages/pyfatfs
-Vcs-Git: https://gitlab.com/kalilinux/packages/pyfatfs.git
 
 Package: python3-pyfatfs
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ ${misc:Depends},
  ${python3:Depends},
- ${misc:Depends},
 Suggests:
  python-pyfatfs-doc,
 Description: filesystem module for use with PyFilesystem2 (Python 3)
@@ -45,8 +42,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ ${misc:Depends},
  ${sphinxdoc:Depends},
- ${misc:Depends},
 Description: filesystem module for use with PyFilesystem2 (common documentation)
  This package contains a filesystem module for use with PyFilesystem2 for
  anyone who needs to access or modify files on a FAT filesystem. It also
